<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: TIOVX Supported Kernels</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">


<h1><a class="anchor" id="SUPPORTED_KERNELS">TIOVX Supported Kernels </a></h1><dl class="user"><dt><b>OpenVX Kernels</b></dt><dd></dd></dl>
<table frame="box" rules="all" cellspacing="0" width="50%" border="1" cellpadding="3">
<tr bgcolor="lightgrey">
<th><p>Kernel  </p>
</th><th><p>DSP  </p>
</th><th><p>EVE   </p>
</th></tr>
<tr>
<td><p><a href="https://www.khronos.org/registry/OpenVX/specs/1.1/html/dc/ddf/group__group__vision__function__absdiff.html" target="_blank">Absolute Difference </a>  </p>
</td><td><p>DMA  </p>
</td><td><p></p>
</td></tr>
<tr>
<td><p><a href="https://www.khronos.org/registry/OpenVX/specs/1.1/html/d0/d77/group__group__vision__function__accumulate.html" target="_blank">Accumulate </a>  </p>
</td><td><p>DMA  </p>
</td><td><p></p>
</td></tr>
<tr>
<td><p><a href="https://www.khronos.org/registry/OpenVX/specs/1.1/html/d0/d2c/group__group__vision__function__accumulate__square.html" target="_blank">Accumulate Squared </a>  </p>
</td><td><p>DMA  </p>
</td><td><p></p>
</td></tr>
<tr>
<td><p><a href="https://www.khronos.org/registry/OpenVX/specs/1.1/html/d2/d2e/group__group__vision__function__accumulate__weighted.html" target="_blank">Accumulate Weighted </a>  </p>
</td><td><p>DMA  </p>
</td><td><p></p>
</td></tr>
<tr>
<td><p><a href="https://www.khronos.org/registry/OpenVX/specs/1.1/html/d6/db0/group__group__vision__function__add.html" target="_blank">Arithmetic Addition </a>  </p>
</td><td><p>DMA  </p>
</td><td><p></p>
</td></tr>
<tr>
<td><p><a href="https://www.khronos.org/registry/OpenVX/specs/1.1/html/d6/d6d/group__group__vision__function__sub.html" target="_blank">Arithmetic Subtraction </a>  </p>
</td><td><p>DMA  </p>
</td><td><p></p>
</td></tr>
<tr>
<td><p><a href="https://www.khronos.org/registry/OpenVX/specs/1.1/html/d4/d4e/group__group__vision__function__and.html" target="_blank">Bitwise AND </a>  </p>
</td><td><p>DMA  </p>
</td><td><p></p>
</td></tr>
<tr>
<td><p><a href="https://www.khronos.org/registry/OpenVX/specs/1.1/html/d3/dd1/group__group__vision__function__xor.html" target="_blank">Bitwise EXCLUSIVE OR </a>  </p>
</td><td><p>DMA  </p>
</td><td><p></p>
</td></tr>
<tr>
<td><p><a href="https://www.khronos.org/registry/OpenVX/specs/1.1/html/d2/d5d/group__group__vision__function__or.html" target="_blank">Bitwise INCLUSIVE OR </a>  </p>
</td><td><p>DMA  </p>
</td><td><p></p>
</td></tr>
<tr>
<td><p><a href="https://www.khronos.org/registry/OpenVX/specs/1.1/html/dc/d06/group__group__vision__function__not.html" target="_blank">Bitwise NOT </a>  </p>
</td><td><p>DMA  </p>
</td><td><p></p>
</td></tr>
<tr>
<td><p><a href="https://www.khronos.org/registry/OpenVX/specs/1.1/html/da/d7c/group__group__vision__function__box__image.html" target="_blank">Box Filter </a>  </p>
</td><td><p>DMA  </p>
</td><td><p></p>
</td></tr>
<tr>
<td><p><a href="https://www.khronos.org/registry/OpenVX/specs/1.1/html/d7/d71/group__group__vision__function__canny.html" target="_blank">Canny Edge Detector </a>  </p>
</td><td><p>DMA  </p>
</td><td><p></p>
</td></tr>
<tr>
<td><p><a href="https://www.khronos.org/registry/OpenVX/specs/1.1/html/de/df2/group__group__vision__function__channelcombine.html" target="_blank">Channel Combine </a>  </p>
</td><td><p>DMA  </p>
</td><td><p></p>
</td></tr>
<tr>
<td><p><a href="https://www.khronos.org/registry/OpenVX/specs/1.1/html/dd/dc1/group__group__vision__function__channelextract.html" target="_blank">Channel Extract </a>  </p>
</td><td><p>DMA  </p>
</td><td><p></p>
</td></tr>
<tr>
<td><p><a href="https://www.khronos.org/registry/OpenVX/specs/1.1/html/d1/dc2/group__group__vision__function__colorconvert.html" target="_blank">Color Convert </a>  </p>
</td><td><p>DMA  </p>
</td><td><p></p>
</td></tr>
<tr>
<td><p><a href="https://www.khronos.org/registry/OpenVX/specs/1.1/html/de/d73/group__group__vision__function__convertdepth.html" target="_blank">Convert Bit depth </a>  </p>
</td><td><p>DMA  </p>
</td><td><p></p>
</td></tr>
<tr>
<td><p><a href="https://www.khronos.org/registry/OpenVX/specs/1.1/html/d3/d3b/group__group__vision__function__custom__convolution.html" target="_blank">Custom Convolution </a>  </p>
</td><td><p>DMA  </p>
</td><td><p></p>
</td></tr>
<tr>
<td><p><a href="https://www.khronos.org/registry/OpenVX/specs/1.1/html/dc/d73/group__group__vision__function__dilate__image.html" target="_blank">Dilate Image </a>  </p>
</td><td><p>DMA  </p>
</td><td><p></p>
</td></tr>
<tr>
<td><p><a href="https://www.khronos.org/registry/OpenVX/specs/1.1/html/d1/d70/group__group__vision__function__equalize__hist.html" target="_blank">Equalize Histogram </a>  </p>
</td><td><p>DMA  </p>
</td><td><p></p>
</td></tr>
<tr>
<td><p><a href="https://www.khronos.org/registry/OpenVX/specs/1.1/html/dc/dff/group__group__vision__function__erode__image.html" target="_blank">Erode Image </a>  </p>
</td><td><p>DMA  </p>
</td><td><p></p>
</td></tr>
<tr>
<td><p><a href="https://www.khronos.org/registry/OpenVX/specs/1.1/html/dd/d22/group__group__vision__function__fast.html" target="_blank">Fast Corners </a>  </p>
</td><td><p>Cache  </p>
</td><td><p></p>
</td></tr>
<tr>
<td><p><a href="https://www.khronos.org/registry/OpenVX/specs/1.1/html/d6/d58/group__group__vision__function__gaussian__image.html" target="_blank">Gaussian Filter </a>  </p>
</td><td><p>DMA  </p>
</td><td><p></p>
</td></tr>
<tr>
<td><p><a href="https://www.khronos.org/registry/OpenVX/specs/1.1/html/d5/dc5/group__group__vision__function__nonlinear__filter.html" target="_blank">Non Linear Filter </a>  </p>
</td><td><p>DMA  </p>
</td><td><p></p>
</td></tr>
<tr>
<td><p><a href="https://www.khronos.org/registry/OpenVX/specs/1.1/html/d7/d5f/group__group__vision__function__harris.html" target="_blank">Harris Corners </a>  </p>
</td><td><p>DMA  </p>
</td><td><p></p>
</td></tr>
<tr>
<td><p><a href="https://www.khronos.org/registry/OpenVX/specs/1.1/html/d6/dcb/group__group__vision__function__histogram.html" target="_blank">Histogram </a>  </p>
</td><td><p>DMA  </p>
</td><td><p></p>
</td></tr>
<tr>
<td><p><a href="https://www.khronos.org/registry/OpenVX/specs/1.1/html/d0/d15/group__group__vision__function__gaussian__pyramid.html" target="_blank">Gaussian Image Pyramid </a>  </p>
</td><td><p>Cache  </p>
</td><td><p></p>
</td></tr>
<tr>
<td><p><a href="https://www.khronos.org/registry/OpenVX/specs/1.1/html/dc/d60/group__group__vision__function__laplacian__pyramid.html" target="_blank">Laplacian Image Pyramid </a>  </p>
</td><td><p>Cache  </p>
</td><td><p></p>
</td></tr>
<tr>
<td><p><a href="https://www.khronos.org/registry/OpenVX/specs/1.1/html/dd/daa/group__group__vision__function__laplacian__reconstruct.html" target="_blank">Reconstruction from a Laplacian Image Pyramid </a>  </p>
</td><td><p>Cache  </p>
</td><td><p></p>
</td></tr>
<tr>
<td><p><a href="https://www.khronos.org/registry/OpenVX/specs/1.1/html/d0/d7b/group__group__vision__function__integral__image.html" target="_blank">Integral Image </a>  </p>
</td><td><p>DMA  </p>
</td><td><p></p>
</td></tr>
<tr>
<td><p><a href="https://www.khronos.org/registry/OpenVX/specs/1.1/html/dd/df2/group__group__vision__function__magnitude.html" target="_blank">Magnitude </a>  </p>
</td><td><p>DMA  </p>
</td><td><p></p>
</td></tr>
<tr>
<td><p><a href="https://www.khronos.org/registry/OpenVX/specs/1.1/html/d8/d85/group__group__vision__function__meanstddev.html" target="_blank">Mean and Standard Deviation </a>  </p>
</td><td><p>DMA  </p>
</td><td><p></p>
</td></tr>
<tr>
<td><p><a href="https://www.khronos.org/registry/OpenVX/specs/1.1/html/d3/d77/group__group__vision__function__median__image.html" target="_blank">Median Filter </a>  </p>
</td><td><p>DMA  </p>
</td><td><p></p>
</td></tr>
<tr>
<td><p><a href="https://www.khronos.org/registry/OpenVX/specs/1.1/html/d8/d05/group__group__vision__function__minmaxloc.html" target="_blank">Min, Max Location </a>  </p>
</td><td><p>DMA  </p>
</td><td><p></p>
</td></tr>
<tr>
<td><p><a href="https://www.khronos.org/registry/OpenVX/specs/1.1/html/d0/d0c/group__group__vision__function__opticalflowpyrlk.html" target="_blank">Optical Flow Pyramid (LK) </a>  </p>
</td><td><p>Cache  </p>
</td><td><p></p>
</td></tr>
<tr>
<td><p><a href="https://www.khronos.org/registry/OpenVX/specs/1.1/html/db/d4e/group__group__vision__function__phase.html" target="_blank">Phase </a>  </p>
</td><td><p>DMA  </p>
</td><td><p></p>
</td></tr>
<tr>
<td><p><a href="https://www.khronos.org/registry/OpenVX/specs/1.1/html/d7/dae/group__group__vision__function__mult.html" target="_blank">Pixel-wise Multiplication </a>  </p>
</td><td><p>DMA  </p>
</td><td><p></p>
</td></tr>
<tr>
<td><p><a href="https://www.khronos.org/registry/OpenVX/specs/1.1/html/df/dca/group__group__vision__function__remap.html" target="_blank">Remap </a>  </p>
</td><td><p>Cache  </p>
</td><td><p></p>
</td></tr>
<tr>
<td><p><a href="https://www.khronos.org/registry/OpenVX/specs/1.1/html/d1/d26/group__group__vision__function__scale__image.html" target="_blank">Scale Image </a>  </p>
</td><td><p>Cache  </p>
</td><td><p></p>
</td></tr>
<tr>
<td><p><a href="https://www.khronos.org/registry/OpenVX/specs/1.1/html/da/d4b/group__group__vision__function__sobel3x3.html" target="_blank">Sobel 3x3 </a>  </p>
</td><td><p>DMA  </p>
</td><td><p></p>
</td></tr>
<tr>
<td><p><a href="https://www.khronos.org/registry/OpenVX/specs/1.1/html/d5/d4e/group__group__vision__function__lut.html" target="_blank">TableLookup </a>  </p>
</td><td><p>DMA  </p>
</td><td><p></p>
</td></tr>
<tr>
<td><p><a href="https://www.khronos.org/registry/OpenVX/specs/1.1/html/d3/d1e/group__group__vision__function__threshold.html" target="_blank">Thresholding </a>  </p>
</td><td><p>DMA  </p>
</td><td><p></p>
</td></tr>
<tr>
<td><p><a href="https://www.khronos.org/registry/OpenVX/specs/1.1/html/d5/d5f/group__group__vision__function__warp__affine.html" target="_blank">Warp Affine </a>  </p>
</td><td><p>Cache  </p>
</td><td><p></p>
</td></tr>
<tr>
<td><p><a href="https://www.khronos.org/registry/OpenVX/specs/1.1/html/da/d6a/group__group__vision__function__warp__perspective.html" target="_blank">Warp Perspective </a>  </p>
</td><td><p>Cache  </p>
</td><td><p></p>
</td></tr>
</table>
<p><br/>
<hr/>
<dl class="user"><dt><b>Additional TI Kernels</b></dt><dd></dd></dl>
<table frame="box" rules="all" cellspacing="0" width="50%" border="1" cellpadding="3">
<tr bgcolor="lightgrey">
<th><p>Kernel  </p>
</th><th><p>DSP  </p>
</th><th><p>EVE   </p>
</th></tr>
<tr>
<td><p>Harris Corners (IVision)  </p>
</td><td><p></p>
</td><td><p>DMA   </p>
</td></tr>
</table>
<p><br/>
<hr/>
<dl class="user"><dt><b>Legend</b></dt><dd></dd></dl>
<table frame="box" rules="all" cellspacing="0" width="50%" border="1" cellpadding="3">
<tr>
<td><p>DMA  </p>
</td><td><p>Kernel implemented and memory access done using DMA   </p>
</td></tr>
<tr>
<td><p>Cache  </p>
</td><td><p>Kernel implemented and memory access done using CPU Cache  </p>
</td></tr>
<tr>
<td><p></p>
</td><td><p>Kernel NOT implemented   </p>
</td></tr>
</table>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
